Skip to main content
GET
/
v1
/
escalation_policies
/
{id}
Retrieves an escalation policy
curl --request GET \
  --url https://api.rootly.com/v1/escalation_policies/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "escalation_policies",
    "attributes": {
      "name": "<string>",
      "repeat_count": 123,
      "created_by_user_id": 123,
      "description": "<string>",
      "last_updated_by_user_id": 123,
      "group_ids": [
        "<string>"
      ],
      "service_ids": [
        "<string>"
      ],
      "business_hours": {
        "time_zone": "International Date Line West",
        "days": [
          "M"
        ],
        "start_time": "<string>",
        "end_time": "<string>"
      },
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

include
enum<string>

comma separated if needed. eg: escalation_policy_levels,escalation_policy_paths

Available options:
escalation_policy_levels,
escalation_policy_paths,
groups,
services

Response

escalation policy found

data
object
required